[uwsgi]
strict = true
auto-procname = true
procname-prefix-spaced = docbow

plugin = python3
single-interpreter = true
module = docbow_project.wsgi:application
need-app = true
vacuum = true

http-socket = /run/docbow/docbow.sock
chmod-socket = 666
vacuum = true

master = true
enable-threads = true
harakiri = 120

plugin = cheaper_busyness
cheaper-algo = busyness
processes = 500
cheaper = 5
cheaper-initial = 10
cheaper-overload = 5
cheaper-step = 10
cheaper-busyness-multiplier = 30
cheaper-busyness-min = 20
cheaper-busyness-max = 70
cheaper-busyness-backlog-alert = 16
cheaper-busyness-backlog-step = 2

max-requests = 500
max-worker-lifetime = 7200

buffer-size = 32768

py-tracebacker = /run/docbow/py-tracebacker.sock.
stats = /run/docbow/stats.sock
memory-report = true

ignore-sigpipe = true
disable-write-exception = true

if-file = /etc/docbow/uwsgi-local.ini
  include = /etc/docbow/uwsgi-local.ini
endif =
